NewStart CGSL CORE 5.04 / MAIN 5.04:python-requests 弱點 (NS-SA-2019-0189)

high Nessus Plugin ID 129889

語系:

概要

遠端機器受到一個弱點的影響。

說明

執行 CORE 5.04 / MAIN 5.04 版的遠端 NewStart CGSL 主機安裝了受一個弱點影響的 python-requests 套件:- 2.20.0 之前的 Python-Requests 套件會在收到相同主機名稱的 https 重新導向至 http 要求時,傳送 HTTP 授權標頭給 http URI,遠端攻擊者因而得以更輕鬆地藉由探查網路而找到憑證。(CVE-2018-18074) 請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級易受弱點影響的 CGSL python-requests 套件。請注意,可能尚未出爐已升級的套件。如需詳細資訊,請聯絡 ZTE。

另請參閱

http://security.gd-linux.com/notice/NS-SA-2019-0189

Plugin 詳細資訊

嚴重性: High

ID: 129889

檔案名稱: newstart_cgsl_NS-SA-2019-0189_python-requests.nasl

版本: 1.5

類型: local

已發布: 2019/10/15

已更新: 2021/4/15

支援的感應器: Nessus

風險資訊

VPR

風險因素: Medium

分數: 4.4

CVSS v2

風險因素: Medium

基本分數: 5

時間分數: 3.7

媒介: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

CVSS 評分資料來源: CVE-2018-18074

CVSS v3

風險因素: High

基本分數: 7.5

時間分數: 6.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

時間媒介: CVSS:3.0/E:U/RL:O/RC:C

弱點資訊

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2019/10/14

弱點發布日期: 2018/10/9

參考資訊

CVE: CVE-2018-18074